org.apache.hc.client5.http.entity

## Class DeflateInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.hc.client5.http.entity.DeflateInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class DeflateInputStream
    extends FilterInputStream

Deflates an input stream. This class includes logic needed for various RFCs in order to reasonably implement the "deflate" compression algorithm.

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`DeflateInputStream(InputStream wrapped)`

### Method Summary

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeflateInputStream

    public DeflateInputStream(InputStream wrapped)
                       throws IOException

Throws:
  `IOException`